%define major	7
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	A library implementing algorithms related to the Unicode Standard
Name:		courier-unicode
Version:	2.2.6
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://www.courier-mta.org/unicode/
Source0: 	https://download.sourceforge.net/courier/courier-unicode-%{version}.tar.bz2

%description
This library implements several algorithms related to the Unicode Standard:

* Look up uppercase, lowercase, and titlecase equivalents of a unicode
  character.
* Implementation of grapheme and word breaking rules.
* Implementation of line breaking rules.

Several ancillary functions, like looking up the unicode character that
corresponds to some HTML 4.0 entity (such as “&amp;”, for example), and
determining the normal width or a double-width status of a unicode character.
Also, an adaptation of the iconv(3) API for this unicode library.

This library also implements C++ bindings for these algorithms.
The current release of the Courier Unicode library is based on the Unicode
6.3.0 standard.

%package -n %{libname}
Summary:	A library implementing algorithms related to the Unicode Standard
Group:		System/Libraries

%description -n %{libname}
This library implements several algorithms related to the Unicode Standard:

* Look up uppercase, lowercase, and titlecase equivalents of a unicode
  character.
* Implementation of grapheme and word breaking rules.
* Implementation of line breaking rules.

Several ancillary functions, like looking up the unicode character that
corresponds to some HTML 4.0 entity (such as “&amp;”, for example), and
determining the normal width or a double-width status of a unicode character.
Also, an adaptation of the iconv(3) API for this unicode library.

This library also implements C++ bindings for these algorithms.
The current release of the Courier Unicode library is based on the Unicode
6.3.0 standard.

%package -n %{devname}
Summary:	Development tools for programs which will use the libcourier-unicode library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The courier-unicode-devel package includes the header files and documentation
necessary for developing programs which will use the libcourier-unicode library.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%check
%{__make} check

%files -n %{libname}
%license COPYING
%doc README ChangeLog AUTHORS
%{_libdir}/libcourier-unicode.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/courier-unicode.h
%{_includedir}/courier-unicode-categories-tab.h
%{_includedir}/courier-unicode-script-tab.h
%{_libdir}/libcourier-unicode.so
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_datadir}/aclocal/courier-unicode*.m4


%changelog
* Thu Feb 02 2023 wally <wally> 2.2.6-1.mga9
+ Revision: 1937604
- new version 2.2.6

* Fri Jun 24 2022 wally <wally> 2.2.4-1.mga9
+ Revision: 1865676
- new version 2.2.4
- new lib major 7

* Tue Mar 15 2022 umeabot <umeabot> 2.1-3.mga9
+ Revision: 1792491
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.1-2.mga8
+ Revision: 1519935
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 24 2018 wally <wally> 2.1-1.mga7
+ Revision: 1325057
- new version 2.1

* Sun Sep 23 2018 umeabot <umeabot> 2.0-2.mga7
+ Revision: 1296842
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 wally <wally> 2.0-1.mga7
+ Revision: 1171806
- new version 2.0
- new lib major 4

* Sat Feb 06 2016 wally <wally> 1.4-1.mga6
+ Revision: 942123
- Import courier-unicode based on .spec from Fedora to fix maildrop build


* Thu Feb 04 2016 Brian C. Lane <bcl@redhat.com> 1.4-1
- Upstream v1.4
  Note that the library name changed to libcourier-unicode

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1-4
- Rebuilt for GCC 5 C++11 ABI change

* Wed Feb 18 2015 Brian C. Lane <bcl@redhat.com> 1.1-3
- Update with suggestions from the review
- Run make check

* Tue Feb 17 2015 Brian C. Lane <bcl@redhat.com> 1.1-2
- Changed package name to courier-unicode

* Wed Jan 28 2015 Brian C. Lane <bcl@redhat.com> 1.1-1
- Initial build
